Skip to main content
PUT
/
api
/
clock
/
{id}
Updates an existing business clock configuration.
curl --request PUT \
  --url https://{tenant}.ekso.app/api/clock/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "container": [
    "<string>"
  ],
  "timezone": "<string>",
  "dayStart": "<string>",
  "dayEnd": "<string>",
  "weekStart": "<string>",
  "weekEnd": "<string>",
  "nonWorkingDay": [
    "<string>"
  ],
  "tick": 123,
  "greenThreshold": 123,
  "amberThreshold": 123,
  "redThreshold": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

The unique identifier of the clock to update.

Body

The updated clock configuration.

entity
null | string
name
string
container
string[]
timezone
string
dayStart
string
dayEnd
string
weekStart
string
weekEnd
string
nonWorkingDay
string[]
tick
integer
greenThreshold
amberThreshold
redThreshold
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Clock updated successfully.